server.port=8080

spring.datasource.url=jdbc:mysql://localhost:3306/AgroBidding?createDatabaseIfNotExist=true
spring.datasource.username=root
spring.datasource.password=

spring.server.address=192.168.137.129
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true
server.servlet.session.cookie.http-only=true
server.servlet.session.cookie.secure=true

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

spring.resources.static-locations=classpath:/static/,file:/path/to/images/directory/

spring.jpa.database-platform=org.hibernate.dialect.MySQLDialect


# Mail Server Configuration
spring.mail.host=smtp.gmail.com
spring.mail.port=587



# Other properties
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.connectiontimeout=5000
spring.mail.properties.mail.smtp.timeout=5000
spring.mail.properties.mail.smtp.writetimeout=5000

# TLS , port 587
spring.mail.properties.mail.smtp.starttls.enable=true
